Update a rate plan using the REST API
This task topic explains how to update a rate plan in a subscription using the REST API by creating an order.
You can use the Create an order operation to update a rate plan in a subscription.
Before the Orders feature is enabled, you have to use the Update subscription, Amend, or CRUD: Create amendment operation.
- Determine the values of the following variables:
Variable
Description
$SubscriptionNumThe number of the subscription to update. For example,
A-S00000001.To create the order under a new account instead of an existing account, specify the
newAccountfield instead of theexistingAccountNumberfield.$AccountNumThe number of the account that will own the order. For example,
A00000001.$RPIdThe ID of the rate plan to update in the subscription. For example,
2c92c0f85d7d53d3015dac494dfc5cbf.$ChargeNumThe number of the charge to update in the rate plan. For example,
C-00000020.$TodayToday's date. For example,
2017-09-30. - Use the Create an order operation to create an order under an existing account: To preview invoices for the updated subscription, use the Preview order operation.
Request
POST /v1/orders/Request Body
{ "orderDate": "$Today", "existingAccountNumber": "$AccountNum", "subscriptions": [ { "subscriptionNumber": "$SubscriptionNum", "orderActions": [ { "type": "UpdateProduct", "triggerDates": [ { "name": "ContractEffective", "triggerDate": $Today }, { "name": "ServiceActivation", "triggerDate": $Today }, { "name": "CustomerAcceptance", "triggerDate": "$Today" } ], "updateProduct": { "ratePlanId": "$RPId", "chargeUpdates": [ { "chargeNumber": "$ChargeNum", "pricing": { "recurringVolume": { "quantity": 50 } } } ] } } ] } ], "processingOptions": { "runBilling": false, "collectPayment": false } }